Bug 435234 - Review Request: xdx - DX-cluster tcp/ip client for amateur radio
Review Request: xdx - DX-cluster tcp/ip client for amateur radio
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 23:24 EST by Robert 'Bob' Jensen
Modified: 2008-03-03 13:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 17:08:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-02-27 23:24:04 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/xdx.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/xdx-2.4-2.fc8.src.rpm
Description: xdx is a client to connect to a DX-cluster. Dx messages will be displayed in a list, announcements will go to a text display.

This srpm mock builds against Fedora 8 and devel on i386 and x86_64. The resulting rpms are rpmlint clean. Fedora 7 is not a target for this package.
Comment 1 Jeroen van Meeuwen 2008-03-02 09:55:21 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK (GPLv2+)
Actual License: OK (GPLv2+ from source)
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum match)
Compile and Build:
 - F-7: FAILED (not targeted)
 - F-8: OK
 - rawhide: OK
 - EL-5: FAILED (not targeted)

Applicable Package Guidelines:
 - -debuginfo package: OK (~136K)
Locales: OK
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: N/A, OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: OK
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

In the spec file you have:

#don't include backup file in package
rm -f `find $RPM_BUILD_ROOT -name *~`

which might result in a 'argument list too long' at some point, especially
larger packages. Consider using:

find $RPM_BUILD_ROOT -name "*~" -exec rm -f {} \;

Quoting the -name "*~" ensures it doesn't match against a file in $CWD

APPROVED
Comment 2 Robert 'Bob' Jensen 2008-03-02 10:25:46 EST
New Package CVS Request
=======================
Package Name: xdx
Short Description: DX-cluster tcp/ip client for amateur radio
Owners: bjensen,sconklin
Branches: F-7 F-8
InitialCC: sindgepb
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-03-02 12:15:52 EST
cvs done.
Comment 4 Fedora Update System 2008-03-02 16:57:48 EST
xdx-2.4-2.fc8 has been submitted as an update for Fedora 8
Comment 5 Robert 'Bob' Jensen 2008-03-02 17:08:43 EST
Thank you for the review.
Comment 6 Fedora Update System 2008-03-03 13:22:46 EST
xdx-2.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.